<?php
namespace App\JsonRpc;
use App\Model\Menu;
use App\Model\UserInfo;
use App\Model\UserLogin;
use Hyperf\RpcServer\Annotation\RpcService;
use App\Tools\Result;
use Hyperf\DbConnection\Db;
#[RpcService(name: "AuthorityService", protocol: "jsonrpc-http", server: "jsonrpc-http")]
class AuthorityService implements AuthorityServiceInterface
{

    /**
     * @param array $data
     * @return array
     */
    public function getMenuList(array $data): array
    {
        // TODO: Implement getMenuList() method.
        $where = [
            "pid"=>$data['id']
        ];
        $data['pageSize'] = $data['pageSize']?$data['pageSize']:10;
        $data['page'] = $data['page']?$data['page']:1;
        $result = Menu::where($where)->limit($data['pageSize'])->offset(($data['page']-1)*$data['pageSize'])->get();
        $count =  Menu::where($where)->count();
        if (empty($result)) {
            return Result::error("没有菜单",0,[]);
        }
        foreach($result as $k=>$v){
            $result[$k]['is_links'] = (int)$result[$k]['is_links'];
            $result[$k]['hidden'] = (int)$result[$k]['hidden'];
        }
        $data['rows'] = $result;
        $data['count'] = $count;
        return Result::success($data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getMenuInfo(array $data): array
    {
        // TODO: Implement getMenuInfo() method.
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateMenu(array $data): array
    {
        $where = [
            'id'=>$data['id']
        ];
        unset($data['id']);
        $result = Menu::where($where)->update($data);
        if($result){
            return Result::success($data);
        }else{
            return Result::error($data);
        }
    }

    /**
     * @param array $data
     * @return array
     */
    public function delMenu(array $data): array
    {
        $result = Menu::where(['id'=>$data['id']])->delete();
        if($result){
            return Result::success($data);
        }else{
            return Result::error($data);
        }
    }

    /**
     * @param array $data
     * @return array
     */
    public function addMenu(array $data): array
    {
        $result = Menu::insertGetId($data);
        if($result){
            return Result::success($data);
        }else{
            return Result::error($data);
        }
    }
}