<?php

namespace App\JsonRpc;
interface UserServiceInterface
{
    /**
     * @param array $data
     * @return array
     */
    public function createUser(array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function getUserInfo(int $id): array;

    /**
     * @param array $data
     * @return array
     */
    public function verifyUserInfo(array $data): array;

    /**
     * @remark 创建登录日志信息
     * @param array $data
     * @return array
     */
    public function createUserLogin(array $data): array;

    /**
     * 更新用户信息
     * @param array $data
     * @return array
     */
    public function updateUser(array $data): array;

    /**
     * 更新用户
     * @param array $data
     * @return array
     */
    public function updateUserInfo(array $data): array;

    /**
     * 删除用户
     * @param int $id
     * @return array
     */
    public function  delUser(int $id) :array;
}